<template>
  <div class="accounts-component">
    <table>
      <thead>
        <td>Account</td>
        <td>Balance (wei)</td>
      </thead>
      <tr v-for="account in accounts" :key="account.account">
        <td>{{ account.account }}</td>
        <td>{{ account.balance }}</td>
      </tr>
    </table>
    <Transaction :accounts="accounts" @update-accounts="getAccounts" />
  </div>
</template>

<script>
import useAccountsDatas from "@/composables/useAccountsDatas.js";
import Transaction from "@/components/Transaction.vue";

export default {
  name: "Accounts",
  components: {
    Transaction,
  },
  setup() {
    const { accounts, getAccounts } = useAccountsDatas();
    return {
      accounts,
      getAccounts
    };
  },
};
</script>

<style>
.accounts-component {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
table {
  border-collapse: collapse;
}
thead {
  font-weight: bold;
}
td {
  border: 1px solid black;
  padding: 10px;
}
</style>
